<?php
// ------------------------------------
// --- saisie d'une liste d'entiers ---
// ------------------------------------
echo "Entrez une suite d'entiers (ex : 10  -3  8) : ";
$saisie=fgets(STDIN);
// --- traitement de la chaîne lue, ---
// suppression des espaces au début , à la fin et suppression du saut de ligne
$saisie=trim($saisie);
// remplace les espaces multiples par un seul espace
$saisie= preg_replace('/\s{2,}/', ' ', $saisie);
$tab_ent=explode(' ',$saisie);
echo '--- Affichage de $tab_ent ---'.PHP_EOL;
print_r($tab_ent)  ;

// ------------------------------------
// --- saisie d'une liste de réels ---
// ------------------------------------
echo "Entrez une suite de notes (ex : 0.5  15.5  8.0  20.0) : ";
$saisie=fgets(STDIN);
// --- traitement de la chaîne lue, ---
// suppression des espaces au début , à la fin et suppression du saut de ligne
$saisie=trim($saisie);
$saisie= preg_replace('/\s{2,}/', ' ', $saisie);
// rangement dans le tableau
$tab_notes=explode(' ',$saisie);
echo '--- Affichage de $tab_notes ---'.PHP_EOL;
print_r($tab_notes);

// ------------------------------------
// --- saisie d'une liste de noms ---
// ------------------------------------
echo "Entrez une suite de noms (ex : Dupont;Martin;Durand) : ";
$saisie=fgets(STDIN);
// --- traitement de la chaîne lue, ---
// suppression des espaces au début , à la fin et suppression du saut de ligne
$saisie=trim($saisie);
// remplace les espaces multiples par un seul espace
$saisie= preg_replace('/\s{2,}/',' ',$saisie);
// remplace ; suivi d'un espace par ;
$saisie= preg_replace('/;\s/',';',$saisie);
// remplace un espace suivi d'un ; par ;
$saisie= preg_replace('/\s;/',';',$saisie);
// rangement dans le tableau
$tab_noms=explode(';',$saisie);
echo '--- Affichage de $tab_noms ---'.PHP_EOL;
print_r($tab_noms) ;

// --------------------------------------------
// --- saisie d'une liste de données mixtes ---
// --------------------------------------------
echo "Entrez un nom, un prénom et un âge (ex : Dupont;Jean;28) : ";
$saisie=fgets(STDIN);
// --- traitement de la chaîne lue, ---
// suppression des espaces au début , à la fin et suppression du saut de ligne
$saisie=trim($saisie);
// remplace les espaces multiples par un seul espace
$saisie= preg_replace('/\s{2,}/',' ',$saisie);
// remplace ; suivi d'un espace par ;
$saisie= preg_replace('/;\s/',';',$saisie);
// remplace un espace suivi d'un ; par ;
$saisie= preg_replace('/\s;/',';',$saisie);
// rangement dans le tableau
$une_personne=explode(';',$saisie);

echo '--- Affichage de $une_personne ---'.PHP_EOL;
print_r($une_personne) ;
?>
